/*******************************************************************************
* File Name: .h
* Version 2.50
*
* Description:
*  This private header file contains internal definitions for the SPIM
*  component. Do not use these definitions directly in your application.
*
* Note:
*
********************************************************************************
* Copyright 2012-2015, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SPIM_PVT_SDCARD_H)
#define CY_SPIM_PVT_SDCARD_H

#include "SDCARD.h"


/**********************************
*   Functions with external linkage
**********************************/


/**********************************
*   Variables with external linkage
**********************************/

extern volatile uint8 SDCARD_swStatusTx;
extern volatile uint8 SDCARD_swStatusRx;

#if(SDCARD_TX_SOFTWARE_BUF_ENABLED)
    extern volatile uint8 SDCARD_txBuffer[SDCARD_TX_BUFFER_SIZE];
    extern volatile uint8 SDCARD_txBufferRead;
    extern volatile uint8 SDCARD_txBufferWrite;
    extern volatile uint8 SDCARD_txBufferFull;
#endif /* (SDCARD_TX_SOFTWARE_BUF_ENABLED) */

#if(SDCARD_RX_SOFTWARE_BUF_ENABLED)
    extern volatile uint8 SDCARD_rxBuffer[SDCARD_RX_BUFFER_SIZE];
    extern volatile uint8 SDCARD_rxBufferRead;
    extern volatile uint8 SDCARD_rxBufferWrite;
    extern volatile uint8 SDCARD_rxBufferFull;
#endif /* (SDCARD_RX_SOFTWARE_BUF_ENABLED) */

#endif /* CY_SPIM_PVT_SDCARD_H */


/* [] END OF FILE */
